#include "PPWindow.h"

sem_id		PPWindow::WindowSemaphore = B_BAD_VALUE;
BWindow*	PPWindow::the_win = NULL;

PPWindow::PPWindow(BRect frame, const char* title, window_look look,
					window_feel feel, uint32 flags, uint32 workspaces)
	: BWindow(frame, title, look, feel, flags, workspaces)
{
	the_win = this;

	BRect rect = Bounds();

	view = new PPView(rect, "view", B_FOLLOW_ALL_SIDES, B_WILL_DRAW | B_NAVIGABLE);
	view->SetViewColor(ui_color(B_PANEL_BACKGROUND_COLOR));

	AddChild(view);
}

PPWindow::~PPWindow()
{
	FreeWindow();
}

void PPWindow::MessageReceived(BMessage *message)
{
	switch (message->what)
	{
		case 'ShoW':
			if (!IsHidden()) Hide();
			Minimize(false);
			Show();
		break;

   		default:
			BWindow::MessageReceived(message);
		break;
	}
}

bool PPWindow::QuitRequested()
{
	return true;
}

void PPWindow::CreateWindow()
{
	PPWindow* win;

	BRect	ScreenRect = BScreen(B_MAIN_SCREEN_ID).Frame();
	BRect	WinRect(0, 0, 275, 116);
	BPoint	WinPos(ScreenRect.right, ScreenRect.bottom);

	WinPos.x /= 2;
	WinPos.y /= 2;
	WinPos.x -= (WinRect.right  - WinRect.left) / 2;
	WinPos.y -= (WinRect.bottom - WinRect.top) / 2;
	WinRect.OffsetTo(WinPos);

	win = new PPWindow(WinRect, "Equalizer", B_FLOATING_WINDOW_LOOK,
						B_NORMAL_WINDOW_FEEL, 0, B_CURRENT_WORKSPACE);
	win->SetFlags(B_NOT_RESIZABLE | B_NOT_ZOOMABLE);
	win->Show();
}
